# FLUX.1 [dev] with Controlnets and Loras · Rf Inversion API

> RF inversion-এর মাধ্যমে রেফারেন্স ছবি প্রম্পট-ভিত্তিক এডিটিং

`image_url`-এ থাকা ছবি একটি `prompt` অনুযায়ী RF-Inversion কার্যপ্রবাহ ব্যবহার করে এডিট করে, যা কোলাহল থেকে শুরু না করে মূল ছবি থেকে কাজ করে। LoRA, control LoRA, ControlNet এবং একটি রেফারেন্স ছবি যোগ করা যায়, আর NAG সেটিংস (`nag_scale`, `nag_tau`, `nag_alpha`, `nag_end`) নেগেটিভ প্রম্পট পরিচালনা সমন্বয় করে।

- Model id: `flux-general/rf-inversion`
- Made by: Black Forest Labs
- Category: Image Editing
- Output: image
- Estimated price per run: $0.025 / image (cheapest run $0.025 (25 API credits))
- Run: `POST https://api.doitong.com/v1/run/flux-general/rf-inversion`
- Quote: `POST https://api.doitong.com/v1/quote/flux-general/rf-inversion`
- Docs page: https://doitong.com/bn/developers/models/flux-general/rf-inversion

## Pricing

Price: **$0.025 / image**. Estimated from the typical cost of one run, per output (`num_images`). The quote is exactly what the run charges.

The full example input below costs $0.025 = 25 API credits (1 image × 25 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/flux-general/rf-inversion` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | ছবিতে সম্পাদনা নির্দেশকারী প্রম্পট। |
| `image_size` |  | object {width, height} \| enum (string) | no |  | `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | জেনারেট করা ছবির মাত্রা। |
| `num_inference_steps` |  | integer | no | `28` | 1 – 50 | চালানোর জন্য inference ধাপের সংখ্যা। |
| `seed` |  | integer \| null | no |  |  | পুনরুৎপাদনযোগ্য ছবির জন্য seed: মডেলের সংস্করণ অপরিবর্তিত থাকলে একই প্রম্পট ও seed থেকে একই ছবি তৈরি হয়। |
| `loras` |  | array of object {path, scale} | no | `[]` |  | যেসব LoRA-র সম্মিলিত ইফেক্টে জেনারেট করা ছবি তৈরি হয়; সরবরাহযোগ্য সংখ্যার কোনো সীমা নেই। |
| `loras[].path` |  | string | yes |  |  | LoRA weights-এর অবস্থান, URL বা path হিসেবে নির্দিষ্ট করা হয়। |
| `loras[].scale` |  | object \| number | no | `1` |  | ভিত্তি মডেলের সঙ্গে মিশ্রণের আগে LoRA ওজনে প্রয়োগ করা স্কেলিং। পৃথক layer scale সেট করতে {"layer_name":layer_scale} ফর্মের একটি dictionary দিন; অনির্দিষ্ট layer-এ 1.0 ব্যবহার হয়। |
| `control_loras` |  | array of object {path, scale, control_image_url, preprocess} | no | `[]` |  | চূড়ান্ত ছবি তৈরির জন্য সম্মিলিত কনফিগারেশনে মেশানো control-image LoRA; সরবরাহ করা সংখ্যার কোনো সীমা নেই। |
| `control_loras[].path` |  | string | yes |  |  | LoRA weights-এর অবস্থান, URL বা path হিসেবে নির্দিষ্ট করা হয়। |
| `control_loras[].scale` |  | object \| number | no | `1` |  | ভিত্তি মডেলের সঙ্গে মিশ্রণের আগে LoRA ওজনে প্রয়োগ করা স্কেলিং। পৃথক layer scale সেট করতে {"layer_name":layer_scale} ফর্মের একটি dictionary দিন; অনির্দিষ্ট layer-এ 1.0 ব্যবহার হয়। |
| `control_loras[].control_image_url` |  | string (image URL) | yes |  |  | control ছবি সরবরাহ করা ছবির URL। |
| `control_loras[].preprocess` |  | enum (string) | no | `None` | `canny`, `depth`, `None` | দেওয়া ছবিতে প্রয়োগ করা preprocessing পদ্ধতি। |
| `controlnets` |  | array of object {path, config_url, variant, control_image_url, mask_image_url, mask_threshold, conditioning_scale, start_percentage, end_percentage} | no | `[]` |  | ছবি জেনারেশনের জন্য ControlNet কনফিগারেশন, বর্তমানে একটি ControlNet-এ সীমাবদ্ধ। |
| `controlnets[].path` |  | string | yes |  |  | ControlNet-এর ওজনের অবস্থান, URL অথবা path হিসেবে নির্দিষ্ট। |
| `controlnets[].config_url` |  | string \| null | no |  |  | ControlNet-এর config.json ফাইলের দিকে নির্দেশ করা ঐচ্ছিক URL। |
| `controlnets[].variant` |  | string \| null | no |  |  | Hugging Face রিপোজিটরি key-এর সঙ্গে ব্যবহারের জন্য ঐচ্ছিক variant। |
| `controlnets[].control_image_url` |  | string (image URL) | yes |  |  | control ছবি সরবরাহ করা ছবির URL। |
| `controlnets[].mask_image_url` |  | string (image URL) | no |  |  | কন্ট্রোল ছবির সঙ্গে সম্পর্কিত মাস্ক URL। |
| `controlnets[].mask_threshold` |  | number | no | `0.5` | 0.01 – 0.99 | মাস্ক থ্রেশহোল্ডের মান। |
| `controlnets[].conditioning_scale` |  | number | no | `1` | 0 – 2 | বেস মডেলের সঙ্গে একীভূত করার আগে ControlNet ওজনে প্রয়োগ করা স্কেলিং। |
| `controlnets[].start_percentage` |  | number | no | `0` | 0 – 1 | মোট টাইমস্টেপের যে শতাংশে ControlNet ছবির জেনারেশনে প্রভাব বিস্তার শুরু করে। |
| `controlnets[].end_percentage` |  | number | no | `1` | 0 – 1 | মোট টাইমস্টেপের যে শতাংশে ControlNet ছবির জেনারেশনে প্রভাব বিস্তার বন্ধ করে। |
| `controlnet_unions` |  | array of object {path, config_url, variant, controls} | no | `[]` |  | ছবির জেনারেশনের জন্য ControlNet union কনফিগারেশন, বর্তমান single-ControlNet সীমাবদ্ধতার অধীন। |
| `controlnet_unions[].path` |  | string | yes |  |  | ControlNet-এর ওজনের অবস্থান, URL অথবা path হিসেবে নির্দিষ্ট। |
| `controlnet_unions[].config_url` |  | string \| null | no |  |  | ControlNet-এর config.json ফাইলের দিকে নির্দেশ করা ঐচ্ছিক URL। |
| `controlnet_unions[].variant` |  | string \| null | no |  |  | Hugging Face রিপোজিটরি key-এর সঙ্গে ব্যবহারের জন্য ঐচ্ছিক variant। |
| `controlnet_unions[].controls` |  | array of object {control_image_url, mask_image_url, control_mode, conditioning_scale, mask_threshold, start_percentage, end_percentage} | yes |  |  | ControlNet-এ সরবরাহ করা কন্ট্রোল ছবি ও সংশ্লিষ্ট মোড। |
| `controlnet_unions[].controls[].control_image_url` |  | string (image URL) | yes |  |  | control ছবি সরবরাহ করা ছবির URL। |
| `controlnet_unions[].controls[].mask_image_url` |  | string (image URL) | no |  |  | কন্ট্রোল ছবির সঙ্গে সম্পর্কিত মাস্ক URL। |
| `controlnet_unions[].controls[].control_mode` |  | enum (string) | yes |  | `canny`, `tile`, `depth`, `blur`, `pose`, `gray`, `low-quality` | Flux Controlnet Union-এ ব্যবহৃত কন্ট্রোল মোড। বিকল্প: canny প্রান্ত ব্যবহার করে জেনারেশন নির্দেশ করে; tile টাইল ব্যবহার করে নির্দেশ করে; depth গ্রেস্কেল depth map ব্যবহার করে নির্দেশ করে; blur ছবিকে ঝাপসা করে; pose ছবির pose ব্যবহার করে জেনারেশন নির্দেশ করে; gray ছবিকে গ্রেস্কেল করে; low-quality ছবির নিম্নমানের সংস্করণ তৈরি করে। |
| `controlnet_unions[].controls[].conditioning_scale` |  | number | no | `1` | 0 – 2 | বেস মডেলের সঙ্গে একীভূত করার আগে ControlNet ওজনে প্রয়োগ করা স্কেলিং। |
| `controlnet_unions[].controls[].mask_threshold` |  | number | no | `0.5` | 0.01 – 0.99 | মাস্ক থ্রেশহোল্ডের মান। |
| `controlnet_unions[].controls[].start_percentage` |  | number | no | `0` | 0 – 1 | মোট টাইমস্টেপের যে শতাংশে ControlNet ছবির জেনারেশনে প্রভাব বিস্তার শুরু করে। |
| `controlnet_unions[].controls[].end_percentage` |  | number | no | `1` | 0 – 1 | মোট টাইমস্টেপের যে শতাংশে ControlNet ছবির জেনারেশনে প্রভাব বিস্তার বন্ধ করে। |
| `easycontrols` |  | array of object {control_method_url, scale, image_url, image_control_type} | no | `[]` |  | ছবির জেনারেশনের সময় প্রয়োগ করা EasyControl ইনপুট। |
| `easycontrols[].control_method_url` |  | string | yes |  |  | কন্ট্রোল পদ্ধতির safetensor ওজনের URL, অথবা সমর্থিত শনাক্তকারী: `canny`, `depth`, `hedsketch`, `inpainting`, `pose`, `seg`, `subject`, `ghibli`। |
| `easycontrols[].scale` |  | number | no | `1` | 0 – 2 | কন্ট্রোল পদ্ধতির স্কেলিং ফ্যাক্টর। |
| `easycontrols[].image_url` |  | string (image URL) | yes |  |  | কন্ট্রোল ইনপুট সরবরাহকারী ছবির URL। |
| `easycontrols[].image_control_type` |  | enum (string) | yes |  | `subject`, `spatial` | ছবির কন্ট্রোল মোড; `spatial` অথবা `subject` গ্রহণ করে। |
| `fill_image` |  | object {fill_image_url} \| null | no |  |  | জেনারেশন নির্দেশকারী এবং মাস্ক করা অঞ্চলের জন্য কনটেন্ট সরবরাহ করতে সক্ষম ইনপুট ছবি। |
| `fill_image.fill_image_url` |  | string (image URL) \| array of image URL | no | `[]` |  | redux prompting-এর মাধ্যমে পূরণের জন্য ছবির URL। |
| `guidance_scale` |  | number | no | `3.5` | 0 – 20 | ছবি নির্বাচনের জন্য প্রম্পট-অনুসরণের শক্তি, CFG (Classifier Free Guidance) হিসেবে প্রকাশ করা। |
| `use_cfg_zero` |  | boolean | no | `false` |  | https://arxiv.org/abs/2503.18886-এ বর্ণিত CFG-zero initialization sampling সক্রিয় করে। |
| `num_images` | `num_outputs` | integer | no | `1` | 1 – 10 | কতটি ছবি জেনারেট করতে হবে তা নির্ধারণ করুন; আউটপুট স্ট্রিম করা হলে এই নির্বাচনটি 1-এ স্থির থাকে। |
| `enable_safety_checker` |  | boolean | no | `true` |  | নিরাপত্তা পরীক্ষা, যা অনিরাপদ হিসেবে চিহ্নিত ছবির বদলে কালো ছবি ফেরত দেয়। true মান পরীক্ষা সক্ষম করে; false তা শুধু অনুমোদিত অ্যাকাউন্টের জন্য নিষ্ক্রিয় করে, অথরাইজেশনহীন রিকোয়েস্ট সবসময় পরীক্ষা করা হয়। |
| `reference_image_url` |  | string (image URL) | no |  |  | Reference-Only নির্দেশনার জন্য ব্যবহৃত ছবির URL। |
| `reference_strength` |  | number | no | `0.65` | -3 – 3 | reference_only জেনারেশনের সময় রেফারেন্স ছবির প্রভাব; রেফারেন্স ছবি সরবরাহ না করলে এই strength সেটিংয়ের কোনো প্রভাব নেই। |
| `reference_start` |  | number | no | `0` | 0 – 1 | রেফারেন্স নির্দেশনার শুরুর বিন্দু, সব টাইমস্টেপের শতাংশ হিসেবে প্রকাশিত। |
| `reference_end` |  | number | no | `1` | 0 – 1 | রেফারেন্স নির্দেশনার শেষ বিন্দু, সব টাইমস্টেপের শতাংশ হিসেবে প্রকাশিত। |
| `base_shift` |  | number | no | `0.5` | 0.01 – 5 | নির্ধারিত টাইমস্টেপে প্রয়োগ করা বেসলাইন শিফট। |
| `max_shift` |  | number | no | `1.15` | 0.01 – 5 | নির্ধারিত টাইমস্টেপে প্রয়োগ করা সর্বোচ্চ শিফট। |
| `output_format` |  | enum (string) | no | `png` | `jpeg`, `png` | ফলাফল ছবির ফাইল ফরম্যাট। |
| `use_beta_schedule` |  | boolean | no | `false` |  | beta sigmas ব্যবহার করা হবে কি না তা নিয়ন্ত্রণ করে। |
| `sigma_schedule` |  | string \| null | no |  |  | denoising-এর সময় ব্যবহৃত Sigma schedule। |
| `scheduler` |  | enum (string) | no | `euler` | `euler`, `dpmpp_2m` | denoising-এর সময় ব্যবহৃত scheduler। |
| `negative_prompt` |  | string | no | `` |  | ডিফল্টভাবে NAG দিয়ে প্রক্রিয়াকৃত negative প্রম্পট, যাতে জেনারেট করা ছবিতে নির্দিষ্ট অবাঞ্ছিত বৈশিষ্ট্য নিরুৎসাহিত হয়। |
| `nag_scale` |  | number | no | `3` | ≤ 10, > 1 | NAG scale দ্বারা নিয়ন্ত্রিত negative-prompt avoidance: এটি বাড়ালে জেনারেট করা ছবি negative description-এর মতো কম হয়। |
| `nag_tau` |  | number | no | `2.5` | > 0 | hidden-state normalization-এর জন্য NAG tau সেটিং; এটি অপরিবর্তিত রাখার পরামর্শ দেওয়া হয়। এটি বাড়ালে normalization দুর্বল হয় এবং মূল ছবি থেকে অপ্রত্যাশিত বিচ্যুতির ঝুঁকি থাকে। |
| `nag_alpha` |  | number | no | `0.25` | ≤ 1, > 0 | NAG alpha নির্ধারণ করে positive ও negative প্রম্পট একত্র করে normalized guidance-কে positive প্রম্পট কতটা পুনর্নির্দেশ করবে। এই চূড়ান্ত weighting কম সেটিংয়ে positive প্রম্পট-কে বেশি প্রভাব দেয় এবং বেশি সেটিংয়ে পুনর্নির্দেশ কমায়। |
| `nag_end` |  | number | no | `0.25` | ≤ 1, > 0 | জেনারেশন ধাপের অনুপাত হিসেবে প্রকাশিত NAG cutoff। NAG ওই প্রাথমিক অনুপাত সময় চালানোর পর FLUX-এর মূল attention processors নিয়ন্ত্রণ গ্রহণ করে। |
| `image_url` | `image` | string (image URL) | yes |  |  | সম্পাদনার ইনপুট শনাক্তকারী ছবির URL। |
| `controller_guidance_forward` |  | number | no | `0.6` | 0.01 – 3 | গঠিত noise জেনারেট করার জন্য controller guidance (gamma)। |
| `controller_guidance_reverse` |  | number | no | `0.75` | 0.01 – 3 | eta সেট করুন, যা denoising controller-এর guidance মান; 1-এর কাছাকাছি সেটিংয়ে ইনপুটের সঙ্গে বেশি সাদৃশ্যপূর্ণ ছবি পাওয়া যায়। |
| `reverse_guidance_start` |  | integer | no | `0` |  | reverse process-এ guidance-এর শুরুর টাইমস্টেপ। |
| `reverse_guidance_end` |  | integer | no | `8` |  | reverse process-এ guidance-এর শেষ টাইমস্টেপ। |
| `reverse_guidance_schedule` |  | enum (string) | no | `constant` | `constant`, `linear_increase`, `linear_decrease` | reverse guidance প্রয়োগ নিয়ন্ত্রণকারী schedule। |

File parameters (`reference_image_url`, `image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-general/rf-inversion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-general/rf-inversion?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-general/rf-inversion", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "flux-general/rf-inversion",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-general/rf-inversion",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 25,
    "usd": "0.025",
    "charged": 25,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `images` | array of object {url, width, height, content_type} | জেনারেট করা ছবিগুলোর ফাইল তথ্য। |
| `timings` | object |  |
| `seed` | integer | ছবি-জেনারেশনের সিড, যার মধ্যে ইনপুটে সিড না থাকলে এলোমেলোভাবে নির্বাচিত মানটিও অন্তর্ভুক্ত; অন্যথায় প্রদত্ত মানটি পুনরাবৃত্তি করে। |
| `has_nsfw_concepts` | array of boolean | জেনারেট করা ছবিতে NSFW ধারণা রয়েছে কি না নির্দেশ করে। |
| `prompt` | string | ছবি জেনারেশনের সময় ব্যবহৃত প্রম্পট। |

## Related models

- [FLUX.1 \[dev\] with Controlnets and Loras](https://doitong.com/developers/models/flux-general.md) (`flux-general`): $0.30 / image
- [FLUX.1 \[dev\] with Controlnets and Loras · Differential Diffusion](https://doitong.com/developers/models/flux-general/differential-diffusion.md) (`flux-general/differential-diffusion`): $0.138 / image
- [FLUX.1 \[dev\] with Controlnets and Loras · Image to Image](https://doitong.com/developers/models/flux-general/image-to-image.md) (`flux-general/image-to-image`): $0.15 / image
- [FLUX.1 \[dev\] with Controlnets and Loras · Inpainting](https://doitong.com/developers/models/flux-general/inpainting.md) (`flux-general/inpainting`): $0.192 / image
- [FLUX.1 Kontext \[pro\]](https://doitong.com/developers/models/flux-pro/kontext.md) (`flux-pro/kontext`): $0.04 / image
- [GPT Image 2.5 Edit](https://doitong.com/developers/models/openai/gpt-image-2.5/flare/edit.md) (`openai/gpt-image-2.5/flare/edit`): from $0.12 / image
- [Nano Banana 2 Edit](https://doitong.com/developers/models/nano-banana-2/edit.md) (`nano-banana-2/edit`): from $0.06 / image
- [Nano Banana Pro Edit](https://doitong.com/developers/models/nano-banana-pro/edit.md) (`nano-banana-pro/edit`): from $0.15 / image

## Links

- HTML page: https://doitong.com/developers/models/flux-general/rf-inversion
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=flux-general/rf-inversion
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/flux-general/rf-inversion
